cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
Announcements
Check out the Dropbox cheat sheet for getting started in 2021 here!

Dropbox files & folders

Get in sync with the Dropbox Community. Our members can answer all your questions on Dropbox files and folders. Join a discussion or start your own today.

cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Couldn't start dropbox - permissions error message on mac

Couldn't start dropbox - permissions error message on mac

New member | Level 2

Screenshot 2020-09-02 at 11.24.57.png

I'm unable to use dropbox on my mac, this message is popping up. 

Is there a dropbox helpline?! Please help, I'm hopeless at tech and really hoping to get my admin assistant back in to see my files again. 

Thanks! 

4 Replies 4

Re: Couldn't start dropbox - permissions error message on mac

Dropboxer

Hi @PennyB, thanks for posting on the Community!

 

Could you click the blue link in the error message, and then post the text in a reply so I can assist with the next steps to make it work?

 

Keep me posted!


Jay
Community Moderator @ Dropbox
dropbox.com/support


Heart Did this post help you? If so, please give it a Like below.
Still stuck? Ask me a question!
Tips & Tricks Find new ways to stay in flow or share your tips on how you work smarter with Dropbox.

Re: Couldn't start dropbox - permissions error message on mac

New member | Level 2

Hi Jay

 

Thanks so much, this is the text : 

 

bn.BUILD_KEY: Dropbox
bn.VERSION: 104.4.175
bn.constants.WINDOWS_SHELL_EXT_VERSION: 44
bn.is_frozen: True
machine_id: 361497d8-f37d-53a9-9561-e0202b917d59
pid: 2360
ppid: 1
uid: 501
user_info: pwd.struct_passwd(pw_name='penny', pw_passwd='********', pw_uid=501, pw_gid=20, pw_gecos='Penny Baldry', pw_dir='/Users/penny', pw_shell='/bin/bash')
effective_user_info: pwd.struct_passwd(pw_name='penny', pw_passwd='********', pw_uid=501, pw_gid=20, pw_gecos='Penny Baldry', pw_dir='/Users/penny', pw_shell='/bin/bash')
euid: 501
gid: 20
egid: 20
group_info: grp.struct_group(gr_name='staff', gr_passwd='*', gr_gid=20, gr_mem=['root', 'penny', '_xcsbuildagent', '_serialnumberd', '_xcscredserver'])
effective_group_info: grp.struct_group(gr_name='staff', gr_passwd='*', gr_gid=20, gr_mem=['root', 'penny', '_xcsbuildagent', '_serialnumberd', '_xcscredserver'])
DYLD_LIBRARY_PATH: None
cwd: '/'
     real_path='/'
            mode=0o40755 uid=0 gid=0
     parent mode=0o40755 uid=0 gid=0
HOME: '/Users/penny'
appdata: '/Users/penny/.dropbox/instance2'
         real_path='/Users/penny/.dropbox/instance2'
                mode=0o40700 uid=501 gid=20
         parent mode=0o40700 uid=501 gid=20
dropbox_path: '/Users/penny/Dropbox'
              real_path='/Users/penny/Dropbox'
                    mode=0o40700 uid=501 gid=20
              parent mode=0o40755 uid=501 gid=20
sys_executable: '/Applications/Dropbox.app/Contents/MacOS/Dropbox'
                real_path='/Applications/Dropbox.app/Contents/MacOS/Dropbox'
                      mode=0o100755 uid=501 gid=20
                parent mode=0o40755 uid=501 gid=20
trace.__file__: '/Applications/Dropbox.app/Contents/Resources/python-packages.zip/dropbox/client/ui/common/boot_error.pyc'
                real_path='/Applications/Dropbox.app/Contents/Resources/python-packages.zip/dropbox/client/ui/common/boot_error.pyc'
                      not found
                parent not found
tempdir: '/var/folders/22/9d6vg0154ng_hbfv3vwhbwnm0000gn/T'
         real_path='/private/var/folders/22/9d6vg0154ng_hbfv3vwhbwnm0000gn/T'
                mode=0o40700 uid=501 gid=20
         parent mode=0o40755 uid=501 gid=20
Traceback (most recent call last):
  File "dropbox/sqlite3_helpers.pyc", line 291, in execute
sqlite3.OperationalError: disk I/O error
 
During handling of the above exception, another exception occurred:
 
Traceback (most recent call last):
  File "dropbox/client/main.pyc", line 7724, in main_startup
  File "dropbox/client/main.pyc", line 3132, in run
  File "dropbox/client/configuration/manager.pyc", line 238, in load_config
  File "dropbox/client/config.pyc", line 85, in __getitem__
  File "dropbox/sqlite3_helpers.pyc", line 296, in execute
  File "dropbox/sqlite3_helpers.pyc", line 262, in _raise_better_operational_exception
  File "six.pyc", line 695, in reraise
  File "dropbox/sqlite3_helpers.pyc", line 291, in execute
dropbox.sqlite3_exceptions.DiskIOError

 

Re: Couldn't start dropbox - permissions error message on mac

Super Collaborator | Level 20

Hi @PennyB,

Seems configuration data got broken somehow. The easiest way fix this going to be erase existing configuration (in fact force unlink), using following in terminal:

rm -rf ~/.dropbox

Next, launch Dropbox and link back the application to your account.

Hope this helps.

Re: Couldn't start dropbox - permissions error message on mac

Dropboxer

Hi @PennyB, it looks like the Dropbox desktop application doesn't seem to be working as it should.

 

If you're not on a Dropbox Basic plan with more than 3 devices connected, could you try an advanced reinstall of the app using the steps in this link?
 

Let me know how it goes!


Jay
Community Moderator @ Dropbox
dropbox.com/support


Heart Did this post help you? If so, please give it a Like below.
Still stuck? Ask me a question!
Tips & Tricks Find new ways to stay in flow or share your tips on how you work smarter with Dropbox.

Polls
Are you starting new work habits this year?

Work Smarter with Dropbox

The way we work is changing. Share and discover new ways to work smarter with Dropbox in our community.

Sound good? Let's get started.
Who's talking

Top contributors to this post

What do Dropbox user levels mean?
Need more support?